打印

lnmp1.5默认安装SSL出错,求助下军哥!

lnmp1.5默认安装SSL出错,求助下军哥!

lnmp1.5默认安装SSL出错,不知道怎么回事

Starting nginx... nginx: [emerg] invalid parameter "http2" in /usr/local/nginx/conf/vhost/www.xxx.cn.conf:41

[ 本帖最后由 jj168abc 于 2018-5-19 14:03 编辑 ]
附件: 您所在的用户组无法下载或查看附件

TOP

修改过nginx版本吗,nginx -V 看一下

LNMP付费问题排查/LNMP技术支持/Paypal信用卡代付/代购VPS,域名,软件等 QQ 503228080 旺旺 lzhenbao
军哥淘宝店铺
QQ/旺旺仅提供代购及付费代维/问题解决等服务,其他不回复!LNMP相关问题请在本论坛发帖,提问前先搜索,按https://bbs.vpser.net/thread-2555-1-1.html 要求反馈问题!

TOP

因为启用了Lua,所以升级到了1.7.8版的nginx

nginx -V
nginx version: nginx/1.7.8
built by gcc 4.4.7 20120313 (Red Hat 4.4.7-18) (GCC)
TLS SNI support enabled
configure arguments: --user=www --group=www --prefix=/usr/local/nginx --with-http_stub_status_module --with-http_ssl_module --with-http_spdy_module --with-http_gzip_static_module --with-ipv6 --with-http_sub_module --with-openssl=/root/lnmp1.5/src/openssl-1.0.2o --with-ld-opt=-Wl,-rpath,/usr/local/luajit/lib --add-module=/root/lnmp1.5/src/lua-nginx-module-0.10.11 --add-module=/root/lnmp1.5/src/ngx_devel_kit-0.3.0
[root@liuyuee ~]#

TOP

回复 3# 的帖子

你这明明是降级,1.7.8是多少年前的版本的了,而且都不是正式稳定版的,肯定不支持http2,肯定报错了 http://nginx.org/en/download.html

LNMP付费问题排查/LNMP技术支持/Paypal信用卡代付/代购VPS,域名,软件等 QQ 503228080 旺旺 lzhenbao
军哥淘宝店铺
QQ/旺旺仅提供代购及付费代维/问题解决等服务,其他不回复!LNMP相关问题请在本论坛发帖,提问前先搜索,按https://bbs.vpser.net/thread-2555-1-1.html 要求反馈问题!

TOP

军哥,Lnmp1.5版默认的nginx版本是多少呢?

我刚重新升级到了nginx1.8.1版还是报错

TOP

1.14.0 上面都给你发nginx官网地址了

LNMP付费问题排查/LNMP技术支持/Paypal信用卡代付/代购VPS,域名,软件等 QQ 503228080 旺旺 lzhenbao
军哥淘宝店铺
QQ/旺旺仅提供代购及付费代维/问题解决等服务,其他不回复!LNMP相关问题请在本论坛发帖,提问前先搜索,按https://bbs.vpser.net/thread-2555-1-1.html 要求反馈问题!

TOP

已经完美解决,谢谢军哥。:victory:

TOP